<id>
Stealth Email SP1.3.x
</id>

<version>
1.0a
</version>

<mod info>
This mod makes any visible email address harvester proof (so both guest as well as member email links)
It will also disallow Guests to use email links on the board (as harvesters are also considered Guests).

How to install:
- Apply the mod
- Upload the new file (StealthMail.pl).
- Upload the changed files (SubList.pl,Display.pl,Profile.pl,english.lng).

And it should work ;-)

Version History
1.0 
Original Release

1.0a 
- Changed scrambling as the previous version had problems with special characters
- Added stealth to memberlist emails that are not set hidden.
</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.yabbforum.com
</homepage>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
'mailing',"Admin.pl&MailingList",
</search for>

<add after>
'mailto',"StealthMail.pl&MailTo",
</add after>


<edit file>
Sources/Display.pl
</edit file>

<search for>
sub Display {
</search for>

<add before>
require "$sourcedir/StealthMail.pl";

</add before>

<search for>
	if($musername eq "Guest") {
		$yymain .= qq~
</search for>

<add before>
	$cryptmail = &scramble($memail);
	$memail = qq~$scripturl?action=mailto;user=$username;mail_id=$cryptmail~;
</add before>

<search for>
            <BR><a href="mailto:$memail">$img{'email_sm'}</a><BR><BR>
</search for>

<replace>
            <BR><a href="$memail" target="_blank">$img{'email_sm'}</a><BR><BR>
</replace>

<search for>
            $profbutton$userprofile[4] <a href="mailto:$memail">$img{'email_sm'}</a>$sendm<BR><BR>
</search for>

<replace>
            $profbutton$userprofile[4] <a href="$memail" target="_blank">$img{'email_sm'}</a>$sendm<BR><BR>
</replace>

<edit file>
english.lng
</edit file>

<search for>
if($MenuType == 1) {
</search for>

<add before>
$txt{'hidemail'} = "Click to send";
$txt{'hidemail2'} = "an email.";
$txt{'stealth'} = "This window will auto close in a few seconds.....";

</add before>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
sub ModifyProfile {
</search for>

<add before>
require "$sourcedir/StealthMail.pl";

</add before>

<search for>
	if ($username eq $INFO{'username'} || $settings[7] eq "Administrator") {
		$modify = qq~&#171; <a href="$cgi;action=profile;username=$useraccount{$INFO{'username'}}"><font size=2 class="text1" color="$color{'titletext'}">$txt{'17'}</font></a> &#187;~;
	}
</search for>

<add after>
	$cryptmail = &scramble($memsettings[2]);
	$membermail = qq~$scripturl?action=mailto;user=$username;mail_id=$cryptmail~;
</add after>

<search for>
		$email = qq~<a href="mailto:$memsettings[2]">$memsettings[2]</a>~;
</search for>

<replace>
		$email = qq~<a href="$membermail" target="_blank">$txt{'hidemail'} $memsettings[1] $txt{'hidemail2'}</a>~;
</replace>

<edit file>
Sources/Memberlist.pl
</edit file>

<search for>
# Load the membergroups list.
</search for>

<add before>
require "$sourcedir/StealthMail.pl";

</add before>

<search for>
		if($tempname)
		{
</search for>

<add after>
			$cryptmail = &scramble($member[2]);
			$memail = qq~$scripturl?action=mailto;user=$username;mail_id=$cryptmail~;
</add after>

<search for>
				~; } else { $yymain .= qq~
					<td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size=2><a href="mailto:$member[2]">$member[2]</a></font></td>
				~; }
</search for>

<replace>
				~; } else { $yymain .= qq~
					<td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size=2><a href="$memail" target="_blank">$txt{'hidemail'}</a></font></td>
				~; }
</replace>

<search for>
			$Bar = "";
			$ICQ = "";
			fopen(MEMBERFILEREAD,"$memberdir/$membername.dat");
			@member = <MEMBERFILEREAD>;
			fclose(MEMBERFILEREAD);
			chomp @member;
			&FormatUserName($membername);
</search for>

<add after>
			$cryptmail = &scramble($member[2]);
			$memail = qq~$scripturl?action=mailto;user=$username;mail_id=$cryptmail~;
</add after>

<search for>
			~; } else { $yymain .= qq~
				<td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size=2><a href="mailto:$member[2]">$member[2]</a></font></td>
			~; }
</search for>

<replace>
			~; } else { $yymain .= qq~
				<td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size=2><a href="$memail" target="_blank">$txt{'hidemail'}</a></font></td>
			~; }
</replace>

<search for>
			if($member[8] ne "") { $ICQ = qq~<a href="$cgi;action=icqpager;UIN=$memset[8]" target="_blank"><img src="http://web.icq.com/whitepages/online?icq=$member[8]&img=5" alt ="$member[8]" border=0></a>~; }
			if ($Bar eq "") { $Bar="&nbsp;"; }
			if($member[6] > 100000) { $member[6] = "$txt{'683'}"; }

			if($member[7] eq "Administrator") { $member[7] = "$membergroups[0]"; }
</search for>

<add after>
			$cryptmail = &scramble($member[2]);
			$memail = qq~$scripturl?action=mailto;user=$username;mail_id=$cryptmail~;
</add after>

<search for>
		~; } else { $yymain .= qq~
			<td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size=2><a href="mailto:$member[2]">$member[2]</a></font></td>
		~; }
</search for>

<replace>
		~; } else { $yymain .= qq~
			<td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size=2><a href="$memail" target="_blank">$txt{'hidemail'}</a></font></td>
		~; }
</replace>
